# minoltamn.hpp File Reference

Minolta MakerNote implemented using the following references:
Minolta Makernote Format Specification by Dalibor Jelinek,
Minolta Makernote list by Phil Harvey
Minolta Makernote list from PHP JPEG Metadata Toolkit
Email communication with caulier dot gilles at kdemail dot net
Some Minolta camera settings have been decoded by Xavier Raynaud from digiKam project and added by Gilles Caulier. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for minoltamn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::MinoltaMakerNote
| MakerNote for Minolta cameras. More...

## Functions

MakerNote::AutoPtr | Exiv2::createMinoltaMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Minolta MakerNote implemented using the following references:
Minolta Makernote Format Specification by Dalibor Jelinek,
Minolta Makernote list by Phil Harvey
Minolta Makernote list from PHP JPEG Metadata Toolkit
Email communication with caulier dot gilles at kdemail dot net
Some Minolta camera settings have been decoded by Xavier Raynaud from digiKam project and added by Gilles Caulier.

Version:
  Rev
    808

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

  Gilles Caulier (gc) caulier dot gilles at kdemail dot net

Date:
  06-May-06, gc: submitted